`timescale 1ns / 1ps


module top(
	start,
	clk,
	quotient_out,
	complete,
    	LEDR2,
    	a,
    	b
);

input 	start,clk;
output 	LEDR2;
output 	[15:0] quotient_out;
output 	complete;
output 	[15:0] a,b;
wire 	[15:0] a,b;
wire 	[15:0] dividend,divisor;
wire 	[15:0] quotient_out;
wire 	LEDR2;
wire 	clk;
wire 	start;
wire 	complete;

fra_div uut
(
	.dividend(dividend),
	.divisor(divisor),
	.start(start),
	.clk(clk),
	.quotient_out(quotient_out),
	.complete(complete)
);
    assign dividend = 16'd4005;
    assign divisor = 16'd1;
    assign a = dividend;
    assign b = divisor;
    assign LEDR2 = quotient_out == 16'd32047;
endmodule