`timescale 1ns / 1ps


module top(
	start,
	clk,
	quotient_out,
	complete,
    LEDR2,
    a,
    b
);

input start,clk;
output LEDR2;
output [30:0] quotient_out;
output complete;
output [30:0] a,b;
wire [30:0] a,b;
wire [30:0] dividend,divisor;
wire [30:0] quotient_out;
wire LEDR2;
wire clk;
wire start;
wire complete;

fra_div uut
(
	.dividend(dividend),
	.divisor(divisor),
	.start(start),
	.clk(clk),
	.quotient_out(quotient_out),
	.complete(complete)
);
    assign dividend = 31'd25;
    assign divisor = 31'd1073741841;
    assign a = dividend;
    assign b = divisor;
    assign LEDR2 = quotient_out == 31'd1073741873;
endmodule