`timescale 1ns / 1ps

module tb();
reg clk;
reg start = 0;
wire complete;
wire [30:0] a,b;
wire [30:0] quotient_out;
wire LEDR2;
reg gsrn = 0;
GSR GSR(.GSRI(gsrn));

initial begin
#10;
gsrn = 1;
#10 start = 1;
#20 start = 0;
end
initial begin
clk = 0;
end
always #10 clk = ~clk;

top ut
(
	.a(a),
	.b(b),
	.LEDR2(LEDR2),
	.start(start),
	.clk(clk),
	.quotient_out(quotient_out),
	.complete(complete)
);
initial begin
        $fsdbDumpfile("tb.fsdb");
        $fsdbDumpvars;
end
initial #150000 $finish;

endmodule
